diff options
| author | su_v <suv-sf@users.sourceforge.net> | 2014-09-08 02:13:39 +0000 |
|---|---|---|
| committer | ~suv <suv-sf@users.sourceforge.net> | 2014-09-08 02:13:39 +0000 |
| commit | 35afc81413038d00b76294f2d4907a0329e3ca53 (patch) | |
| tree | 2b6884ae35dcb72884f13f7e967d322bb6df55ad | |
| parent | osx-app.sh: whitespace (diff) | |
| download | inkscape-35afc81413038d00b76294f2d4907a0329e3ca53.tar.gz inkscape-35afc81413038d00b76294f2d4907a0329e3ca53.zip | |
osx-app.sh: clean up "Safety tests"
(bzr r13506.1.76)
| -rwxr-xr-x | packaging/macosx/osx-app.sh | 32 |
1 files changed, 16 insertions, 16 deletions
diff --git a/packaging/macosx/osx-app.sh b/packaging/macosx/osx-app.sh index 973f2e109..71216e1a8 100755 --- a/packaging/macosx/osx-app.sh +++ b/packaging/macosx/osx-app.sh @@ -197,23 +197,23 @@ if [ ! -e "$LIBPREFIX/share/icons/hicolor/index.theme" ]; then exit 1 fi -if [ "$default_theme" != "default" ] ; then - if ! pkg-config --exists gnome-icon-theme; then - echo "Missing gnome-icon-theme -- please install gnome-icon-theme and try again." >&2 - exit 1 - fi - - if ! pkg-config --exists gnome-icon-theme-symbolic; then - echo "Missing gnome-icon-theme-symbolic -- please install gnome-icon-theme-symbolic and try again." >&2 - exit 1 - fi - - if ! pkg-config --exists icon-naming-utils; then - echo "Missing icon-naming-utils -- please install icon-naming-utils and try again." >&2 - exit 1 - fi +if ! pkg-config --exists icon-naming-utils; then + echo "Missing icon-naming-utils -- please install icon-naming-utils and try again." >&2 + exit 1 fi +# if [ "$default_theme" != "default" ] ; then +# if ! pkg-config --exists gnome-icon-theme; then +# echo "Missing gnome-icon-theme -- please install gnome-icon-theme and try again." >&2 +# exit 1 +# fi +# +# if ! pkg-config --exists gnome-icon-theme-symbolic; then +# echo "Missing gnome-icon-theme-symbolic -- please install gnome-icon-theme-symbolic and try again." >&2 +# exit 1 +# fi +# fi + unset WITH_GNOME_VFS if ! pkg-config --exists gnome-vfs-2.0; then echo "Missing gnome-vfs2 -- some features will be disabled" >&2 @@ -242,7 +242,7 @@ if ! pkg-config --exists poppler; then exit 1 fi -if ! pkg-config --modversion ImageMagick >/dev/null 2>&1; then +if ! pkg-config --exists ImageMagick; then echo "Missing ImageMagick -- please install ImageMagick and try again." >&2 exit 1 fi |
